<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MInputMethod</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MInputMethod<br/>
<small>
[<a class="el" href="group__m17nInputMethod.html">入力メソッド (基本部分)</a>]</small>
</h1><!-- doxytag: class="MInputMethod" -->
<p>入力メソッドの構造体.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#ad418711bca43a10b3afb2939cd752eb9">language</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#a45c41b1b26161fc5569fd2f32bc6ee58">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#a50c13f896654f2e03f63781abc06eaf4">driver</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#ad5d88e37cdabefa5713b05aa5a3d9bc8">arg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#a164148109aa2bba97e9308fb456919e8">info</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>入力メソッドの構造体. </p>
<p>See struct <a class="el" href="structMInputMethod.html" title="入力メソッドの構造体.">MInputMethod</a>.</p>
<p><code><a class="el" href="structMInputMethod.html" title="入力メソッドの構造体.">MInputMethod</a></code> は、入力メソッドオブジェクト用の構造体の型である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="ad418711bca43a10b3afb2939cd752eb9"></a><!-- doxytag: member="MInputMethod::language" ref="ad418711bca43a10b3afb2939cd752eb9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMInputMethod.html#ad418711bca43a10b3afb2939cd752eb9">MInputMethod::language</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>どの言語用の入力メソッドか。 入力メソッドが外部のものである場合の値は <code>Mnil</code> 。 </p>

</div>
</div>
<a class="anchor" id="a45c41b1b26161fc5569fd2f32bc6ee58"></a><!-- doxytag: member="MInputMethod::name" ref="a45c41b1b26161fc5569fd2f32bc6ee58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMInputMethod.html#a45c41b1b26161fc5569fd2f32bc6ee58">MInputMethod::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力メソッドの名前。外部メソッドである場合には、<code>Minput_driver</code> をキーとするプロパティを持ち、その値は適切な入力メソッドドライバへのポインタでなくてはならない。 </p>

</div>
</div>
<a class="anchor" id="a50c13f896654f2e03f63781abc06eaf4"></a><!-- doxytag: member="MInputMethod::driver" ref="a50c13f896654f2e03f63781abc06eaf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMInputDriver.html">MInputDriver</a> <a class="el" href="structMInputMethod.html#a50c13f896654f2e03f63781abc06eaf4">MInputMethod::driver</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>その入力メソッド用の入力メソッドドライバ。 </p>

</div>
</div>
<a class="anchor" id="ad5d88e37cdabefa5713b05aa5a3d9bc8"></a><!-- doxytag: member="MInputMethod::arg" ref="ad5d88e37cdabefa5713b05aa5a3d9bc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMInputMethod.html#ad5d88e37cdabefa5713b05aa5a3d9bc8">MInputMethod::arg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="入力メソッドをオープンする.">minput_open_im()</a> に渡される引数。 </p>

</div>
</div>
<a class="anchor" id="a164148109aa2bba97e9308fb456919e8"></a><!-- doxytag: member="MInputMethod::info" ref="a164148109aa2bba97e9308fb456919e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMInputMethod.html#a164148109aa2bba97e9308fb456919e8">MInputMethod::info</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>&lt;driver&gt;.open_im() が設定する追加情報へのポインタ。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
